<%@page trimDirectiveWhitespaces="true"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="gen" uri="http://help.jspgen.com/taglib/jstl"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="X-UA-Compatible" content="ie=edge,chrome=1" />
<title>错误</title>
<link type="text/css" href="${config.statie}ui/prompt.css" rel="stylesheet">
</head>
<body>
<div class="prompt tip info">
  <table width="100%" border="0" cellspacing="0" cellpadding="0">
     <tr>
      <td><gen:if test="${not empty actionErrors}"><c:forEach items="${actionErrors}" var="error">${error}&nbsp;</c:forEach><gen:else />操作失败!</gen:if></td>
    </tr>
    <tr>
      <td><a href="javascript:void(0);" onclick="redirectUrl();">
      <gen:if test="${not empty redirectUrl}">页面&nbsp;<i id="i">5</i>&nbsp;秒后，自动跳转<gen:else />返回继续操作</gen:if></a></td>
    </tr>
    <tr>
      <td align="right"><a href="${config.host}">返回首页</a></td>
    </tr>
  </table>
</div>
<script type="text/javascript">
// 跳转
function redirectUrl() {
	<gen:if test="${not empty redirectUrl}">
		window.location.href = "${redirectUrl}";
	<gen:else />
		window.history.go(-1);	// window.history.back();
		return false; // chrome、safari
	</gen:if>
}
<gen:if test="${not empty redirectUrl}">
// 自动跳转
var inter, i = 5;
function time() {
	i--;
	if(i == 0) {
		window.clearInterval(inter);
		return redirectUrl();
	}
	document.getElementById("i").innerHTML = i;
}
inter = window.setInterval("time()", 1000);
</gen:if>
</script>
</body>
</html>